## org.hibernate.metamodel.relational
Class Schema.Name

    java.lang.Object
      org.hibernate.metamodel.relational.Schema.Name

Enclosing class:
  Schema

    public static class Schema.Name

extends Object

Constructor Summary
`Schema.Name(Identifier schema, Identifier catalog)`
`Schema.Name(String schema, String catalog)`

Method Summary
`boolean` `equals(Object o)`
`Identifier` `getCatalog()`
`Identifier` `getSchema()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Schema.Name

    public Schema.Name(Identifier schema,
                       Identifier catalog)

### Schema.Name

    public Schema.Name(String schema,
                       String catalog)

Method Detail

### getSchema

    public Identifier getSchema()

### getCatalog

    public Identifier getCatalog()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.